#!/usr/bin/env pythonw2.3

import sys, pygame
from pygame_ext import *
from pygame_events import *

MID = 0
UP = 1
DOWN = 2
LEFT = 0
RIGHT = 1
FLAP_SPEED = 100
SPRITE_SIZE = (124, 150)

class SimpleSpriteListener(EventListener):
  def __init__(self, sprite):
    self.world = None
    self.sprite = sprite
  def set_owner(self, world):
    self.world = world
  def onpulse(self):
    self.world.draw(self.sprite)

class SpriteWorld(SimpleWorld):
  def __init__(self, surface):
    self.sprite = AnimatedSprite(relative('resources/blue_fairy_small.tga'), 3, 2, False)
    self.sprite.set_variation(RIGHT)
    self.sprite.move_to((60,60))
    listener = SimpleSpriteListener(self.sprite)
    SimpleWorld.__init__(self, surface, relative('resources/bg_castle.jpg'), (1,1), listener)

def relative(filepath):
  import os.path
  dir = os.path.dirname(__file__)
  return os.path.join(dir, filepath)

def main():
  app = App()
  app.add_world(SpriteWorld(app.surface))
  app.run()

if __name__ == '__main__':
  main()
